import request from '@/utils/request'

/**
 * 获取基础数据
 * @param {String} codeId 分类编码Id
 * @author lroyia
 * @since 2021年2月19日 09:52:17
 */
export function getConstant(codeId) {
  return request({
    url: `/constant/${codeId}`,
    method: 'get'
  })
}

/**
 * word转pdf
 * @param {String} id 文件id
 * @param {String} bizseq 业务号
 * @author Lee
 * @since 2021年6月3日 18:29:17
 */
export function word2Pdf(tempPath, bizseq, writstype) {
  const form = new FormData()
  form.append('tempPath', tempPath)
  form.append('bizseq', bizseq)
  form.append('writstype', writstype)
  return request({
    url: `/writ/word2Pdf`,
    method: 'post',
    data: form
  })
}
/**
 * 获取用户常用语清单
 * @author Lee
 * @since 2021年7月1日 05点07分
 */
export function getAllCommonList(userId) {
  const form = new FormData()
  form.append('userId', userId)
  return request({
    url: `/verifyCommon/getAllCommonList`,
    method: 'post',
    data: form
  })
}
export function getCD72(codeId) {
  return request({
    url: `/constant/getCD72`,
    method: 'get'
  })
}
/**
 * 按业务获取用户常用语清单
 * @author Lee
 * @since 2021年10月25日 05点07分
 */
export function getCommonListWithModule(userId, module) {
  const form = new FormData()
  form.append('userId', userId)
  form.append('module', module)
  return request({
    url: `/verifyCommon/getCommonListWithModule`,
    method: 'post',
    data: form
  })
}

/**
 * 获取机关树列表
 */
export function getOrgTreeList(type) {
  return request({
    url: '/abnormal/gzaiccode/getOrgTreeList',
    method: 'get'
  })
}

/**
 * 获取机片区树列表
 */
 export function getSliceTreeList(type) {
  return request({
    url: '/areaSlice/getSliceTreeByUser',
    method: 'post'
  })
}
